/*
  Separate tab to control the motors at the highest speed possible through port manipulation
*/

//the map that is used to make pins high and low (low is inverted),
uint8_t pin_high_map[number_of_motors];

void ResetMaps() { //resets all maps to default off
  for (uint8_t r = 0; r < number_of_motors; r++) {
    pin_high_map[r] = 0;
  }
}

void SetStep(uint8_t temp_input) { //A6, A3, F6, F4, E3, H1
  pin_high_map[temp_input] = 1;
}

void Step() { //step all required pins and reset mask
  //set port to high
  for (uint8_t r = 0; r < number_of_motors; r++) {
    digitalWrite(motor_step[r], pin_high_map[r]);
  }
  for (uint8_t r = 0; r < number_of_motors; r++) {
    digitalWrite(motor_step[r], 0);
  }
  
  //reset mask
  ResetMaps();
}

void SetEnable(uint8_t temp_state){ //takes the state and enables (1) or disables (0) de motors
  uint8_t temp_write;
  if (temp_state == 1){
    temp_write = 0;
  }
  else {
    temp_write = 1;
  }

  for (uint8_t m = 0; m < number_of_motors; m++){
    digitalWrite(motor_enable[m], temp_write);
  }
}
